Revit Batch Processor - BIM360 Cloud Models - File Paths

Hi, I would appreciate help with finding away to get multiple models file paths from cloud workshared models on BIM360 to feed to BVN Revit Batch processor to run Dynamo / Python scripts.

I understand, according to RBP Github, the file paths need to be in the below formats

The format for specifying a cloud model in the Revit file list is:

  • <Revit version> <Project Guid> <Model Guid>
  • Note: these three components must be separated by space(s) (not tabs!).
  • e.g. 2020 75b6464c-ba0f-4529-b049-0de9e473c2d6 0d54b8cc-3837-4df2-8c8e-0a94f4828868

As am not a Forge user, wondering what would be the best/fastest approach to get the paths according to the above formats.

Appreciate your prompt help!

1 Like

Hi @MOhie,

I had the same problem. Have you had more information on how to solve it?

Hi,
You could try Bird Tool’s-Dynamo Multiplayer. its similar to BVN batch processor but can run for BIM 360 files ( as well as local files). It gets installed like a plugin for Revit, just launch it in any rvt file & select the required BIM 360 files , select the desired dyn file & your are good to go.
hope that helps

Get the Revit version with this

import clr

clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager

doc = DocumentManager.Instance.CurrentDBDocument

#Preparing input from dynamo to revit
element = UnwrapElement(IN[0])

#Do some action in a Transaction
app = doc.Application
version = app.VersionNumber

OUT = version

Get the project ID with this

import sys
import clr,System
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
clr.AddReference('RevitServices')
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
clr.AddReference('RevitNodes')
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
doc = DocumentManager.Instance.CurrentDBDocument
OUT = doc.GetCloudModelPath().GetProjectGUID()

Get the file id with this

import sys
import clr,System
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
clr.AddReference('RevitServices')
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
clr.AddReference('RevitNodes')
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
doc = DocumentManager.Instance.CurrentDBDocument

OUT = doc.GetCloudModelPath().GetModelGUID()

Concatonate all that and you have a line for BVN

2 Likes